Bug 23245 - Missing Enterprise kernel in lilo.conf (Florence)
Missing Enterprise kernel in lilo.conf (Florence)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Erik Troan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-03 15:11 EST by Rogelio Noriega
Modified: 2007-03-26 23:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 12:06:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rogelio Noriega 2001-01-03 15:11:16 EST
Test System is Precision 620 w/ 2 CPUs and 2GB RDRAM.

When installing "everything" from CDROM,  the lilo options are for smp and 
up kernels only.
An enterprise kernel is installed in the /boot directory but there is no 
matching initrd file or lilo.conf entry.

The initrd file can be manually created and the enterprise stanza can be 
manually added to lilo.conf.  The
enterprise kernel then boots and runs correctly.
Comment 1 Michael Fulbright 2001-01-03 18:06:43 EST
Assigning to a developer.
Comment 2 Glen Foster 2001-01-11 16:16:58 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 3 Erik Troan 2001-01-17 17:21:40 EST
Done.
Comment 4 Brock Organ 2001-02-12 16:50:43 EST
This is still NOT resolved in the fisher public beta:

$ cat /etc/lilo.conf 
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.4.0-0.99.11smp
        label=linux
        read-only
        root=/dev/hda5

image=/boot/vmlinuz-2.4.0-0.99.11
        label=linux-up
        read-only
        root=/dev/hda5
$ rpm -q kernel-enterprise
kernel-enterprise-2.4.0-0.99.11
$ rpm -ql kernel-enterprise | grep vmlinuz
/boot/vmlinuz-2.4.0-0.99.11enterprise
$ 
Comment 5 David Sainty 2001-02-14 16:20:07 EST
In Red Hat Linux 7.0, the enterprise kernel is only installed if you manually
specify packages and select it, or choose "Everything". If you have an SMP
system and have installed the kernel, the enterprise kernel blindly becomes the
default.

In Fisher and company, you _only_ get the lilo entry for the enterprise kernel
in the lilo.conf file if needsEnterpriseKernel() in lilo.py (for Intel)
determines that you need it. needsEnterpriseKernel() does:

rc = 0
f = open("/proc/e820info", "r")
for l in f.readlines():
    l = string.split(l)
    if l[3] == '(reserved)': continue
    regionEnd = (string.atol(l[0], 16) - 1) + string.atol(l[2], 16)
    if regionEnd > 0xffffffffL:
    rc = 1
return rc

The Precision 620 does not match this criteria by the look of it. I have tested
this on a Precision 620 with 512MB of RAM myself...

From the two non (reserved) lines in /proc/e820info :

00000000000a0000 @ 0000000000000000
00000000afe9e000 @ 0000000000100000

in both cases rc != 1, hence no enterprise kernel in lilo.conf. This is even
after I did an Everything install (as was done for this bug report).


David S..
Comment 6 Erik Troan 2001-02-20 12:31:53 EST
You don't need the enterprise kernel. As of the next beta (Wolverine), the
kernels work with up to 4gig out of the box.

Note You need to log in before you can comment on or make changes to this bug.